#
# spec file for package osdlyrics
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           osdlyrics
Version:        0.4.3
Release:        3.2
Summary:        A third-party lyrics display program
License:        GPL-3.0
Group:          Productivity/Multimedia/Sound/Visualization
Url:            http://code.google.com/p/osd-lyrics/
Source0:        http://osd-lyrics.googlecode.com/files/%{name}-%{version}.tar.gz
Patch1:         osdlyrics-includes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  glibc-devel
BuildRequires:  gtk2-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libcurl-devel
BuildRequires:  libglade2-devel
BuildRequires:  libnotify-devel
BuildRequires:  libtool
BuildRequires:  sqlite3-devel
BuildRequires:  update-desktop-files
%if ! 0%{?suse_version} == 1315
BuildRequires:  xmms2-devel
%endif
Requires:       gtk2
Requires:       sqlite3

# These package are all in home:hillwood
Obsoletes:      osd-lyrics
Obsoletes:      osdlyrics-beta
Obsoletes:      osdlyrics-git

%lang_package 

%description
OSD Lyrics
====================

OSD Lyrics is a lyrics show compatible with various media players. It is not a plugin 
but a standalone program. OSD Lyrics shows lyrics on your desktop, in the style similar 
to KaraOK. It also provides another displaying style, in which lyrics scroll from 
bottom to top. OSD Lyrics can download lyrics from the network automatically.
====================

Support players:
    Amarok 2.x 	
    Audacious 	
    Banshee 	
    Clementine 	
    Deadbeef
    Deciber
    Exaile 
    Guayadeque 2.5 	
    Gmusicbrowser 	
    Juk 	
    Listen 		
    MOC
    Muine 	
    Qmmp 	
    Quod Libet 	
    Rhythmbox 	
    Songbird
    VLC
    XMMS2
===================

Authors:
--------
    Tiger Soldier <tigersoldi@gmail.com>
    SarlmolApple <sarlmolapple@gmail.com>
    SimplyZhao <simplyzhao@gmail.com>
 

%prep
%setup -q -n osdlyrics-%{version}
%patch1 -p1

%build
%configure --disable-mpd \
%if 0%{?suse_version} == 1315
           --disable-xmms2
%else
           --enable-xmms2
%endif
make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file -r osdlyrics Player AudioVideo

%find_lang %{name}

%post
%if 0%{?suse_version} < 1140
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%else
%icon_theme_cache_post
%endif

%postun
%if 0%{?suse_version} < 1140
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
%else
%icon_theme_cache_post
%endif

%posttrans
%if 0%{?suse_version} < 1140
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%else
%icon_theme_cache_post
%endif

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%doc COPYING
%{_bindir}/osdlyrics
%{_datadir}/applications/osdlyrics.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/osdlyrics/

%files lang -f %{name}.lang

%changelog
* Fri Nov  6 2015 hillwood@linuxfans.org
- Fix build in Leap: disable xmms2
* Fri Nov 16 2012 aj@suse.de
- Fix missing include (add patch patches/osdlyrics-includes.patch).
* Mon Jun  4 2012 hillwood@linuxfans.org
- update to 0.4.3
  * Player support:
  - Add cmus support, thanks to alepulver (not enable)
  * Bug fix:
  - Dir is not closed in _prepend_subdirs (ol_app_info.c)
  - Show player chooser if connected player quits in 1 minute
* Thu Mar  1 2012 hillwood@linuxfans.org
- add xmms2 spport
- split the translations in a lang subpackage
- rename patch file
- fixed some RPMLINT report warnings
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Jan 19 2012 hillwood@linuxfans.org
- update to 0.4.2
  * UI improvements:
  - Player choose dialog redesigned
  - Fade out on the edge of lyric text in OSD mode if it is too long
  - Drag-to-seek in scrolling mode
  * Player support:
  - Bring back support for Rhythmbox prior to 0.13
  - Support RhythmCat
  - Auto-detect the launch command for Audacious 2 and 3
  - Do not require root privilege to launch MPD
  * Bug fixes:
  - Blurring in OSD mode will not cause a frame around lyrics
  - Fix compilation issue in BDS systems.
  - Fix track duration in MPRIS support
  - Deal with player launch commands with %%f or %%U as arguments
  - ttPlayer engine can search lyrics with ' in the title
  - CUE sheets are supported now
  - Don't show invalid search result of Xiami engine
* Fri Dec  9 2011 hillwood@linuxfans.org
- Fix %%post* , change the license to "GPL-3.0" .
* Sun Nov 13 2011 hillwood@linuxfans.org
- support openSUSE 12.1
* Mon Jul 18 2011 hillwood@linuxfans.org
- Uptate to 0.4.1
- Choose player if no supported player running on launch
- Outline blur on OSD mode
- Support all MPRIS-compatible players
- New lyrics search site: xiami.com
- Fix ttPlayer search
- Search lyrics from more than one sites
- All files with the name of osd-lyrics are replaced to osdlyrics
* Sat Jul  9 2011 hillwood@linuxfans.org
- rewrite description.
* Mon Jun 27 2011 hillwood@linuxfans.org
- rename the package name.
* Sun Jun 26 2011 hillwood@linuxfans.org
- add support for Fedora and Mandriva.
* Fri Jun 10 2011 hillwood@linuxfans.org
- Uptate to 0.4.0
* Sun May 29 2011 hillwood@linuxfans.org
- Uptate to 0.4.0b1
* Wed Apr 20 2011 hillwood@linuxfans.org
- Inital package for opensuse and SLE.
